> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs-beta.getzep.com/v4/sdk-reference/agent/skills/candidates/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server. # Get Agent Skill Candidate Review GET https://api.getzep.com/api/v4/agents/{agent_uuid}/skill-candidates/{review_uuid} Reference: https://docs-beta.getzep.com/sdk-reference/agent/skills/candidates/get ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Type "Api-Key" followed by a space and the project API key. ## Request ### Path parameters - `agent_uuid` (string, required) — Agent UUID - `review_uuid` (string, required) — Candidate review UUID ## Response ### 200 OK - `candidate_count` (integer, optional) - `candidates` (list of v4.AgentSkillCandidate, optional) - `created_at` (string, optional) - `import_review_required` (boolean, optional) — ImportReviewRequired reports whether any evidence import requires approval. - `reason_code` (string, optional) - `results` (list of v4.AgentSkillCandidateReviewResult, optional) - `reviewed_at` (string, optional) - `revision` (integer, optional) - `status` (string, optional) - `task_family` (string, optional) - `uuid` (string, optional) ## Errors ### 400 Bad Request Error Bad Request - `error` (v4.ErrorBody, optional) ### 401 Unauthorized Error Unauthorized - `error` (v4.ErrorBody, optional) ### 403 Forbidden Error Forbidden - `error` (v4.ErrorBody, optional) ### 404 Not Found Error Not Found - `error` (v4.ErrorBody, optional) ### 409 Conflict Error Conflict - `error` (v4.ErrorBody, optional) ### 503 Service Unavailable Error Service Unavailable - `error` (v4.ErrorBody, optional) ## Types ### v4.AgentSkillCandidate - `agent_versions` (list of string, optional) - `base_versions` (list of v4.AgentSkillCandidateBaseVersion, optional) - `confidence` (double, optional) - `decision` (string, optional) - `description` (string, optional) - `do_not_use_when` (list of string, optional) - `evidence` (list of v4.AgentSkillCandidateEvidence, optional) - `kind` (string, optional) - `markdown` (string, optional) - `name` (string, optional) - `package_name` (string, optional) - `task_family` (string, optional) - `uuid` (string, optional) ### v4.AgentSkillCandidateReviewResult - `base_versions` (list of v4.AgentSkillCandidateBaseVersion, optional) - `candidate_uuids` (list of string, optional) - `decision` (string, optional) - `target_skill_uuids` (list of string, optional) - `uuid` (string, optional) ### v4.ErrorBody - `code` (string, optional) - `details` (map from string to any, optional) - `message` (string, optional) - `param` (string, optional) - `request_id` (string, optional) ### v4.AgentSkillCandidateBaseVersion - `agent_versions` (list of string, optional) - `description` (string, optional) - `do_not_use_when` (list of string, optional) - `markdown` (string, optional) - `name` (string, optional) - `skill_uuid` (string, optional) - `version` (integer, optional) ### v4.AgentSkillCandidateEvidence - `imported_provider` (string, optional) — ImportedProvider is the provider of the source import, when this Trajectory was imported. - `occurred_at` (string, optional) - `outcome` (string, optional) - `polarity` (string, optional) - `source_kind` (string, optional) - `trajectory_uuid` (string, optional) - `verification` (string, optional) ## Examples **Response** ```json { "candidate_count": 1, "candidates": [ { "agent_versions": [ "string" ], "base_versions": [ { "agent_versions": [ "string" ], "description": "string", "do_not_use_when": [ "string" ], "markdown": "string", "name": "string", "skill_uuid": "string", "version": 1 } ], "confidence": 1.1, "decision": "string", "description": "string", "do_not_use_when": [ "string" ], "evidence": [ { "imported_provider": "braintrust", "occurred_at": "2026-01-01T00:00:00Z", "outcome": "succeeded", "polarity": "supporting", "source_kind": "summary", "trajectory_uuid": "6a906e70-50ca-4e43-a874-5fcae02a71fa", "verification": "external" } ], "kind": "string", "markdown": "string", "name": "string", "package_name": "string", "task_family": "string", "uuid": "string" } ], "created_at": "string", "import_review_required": false, "reason_code": "string", "results": [ { "base_versions": [ { "agent_versions": [ "string" ], "description": "string", "do_not_use_when": [ "string" ], "markdown": "string", "name": "string", "skill_uuid": "string", "version": 1 } ], "candidate_uuids": [ "string" ], "decision": "string", "target_skill_uuids": [ "string" ], "uuid": "string" } ], "reviewed_at": "string", "revision": 1, "status": "string", "task_family": "string", "uuid": "string" } ```